maya's blog

About programming, aws and ubuntu

build emacs 26.1 on Ubuntu 18.10

What's is this?

ubuntu 18.10をminimumなやつで入れ直した。
ついでにlinuxbrewが気になっていて実用可能か試したかった。
linuxbrewではGUIのemacsをインストールできない。
aptで入れると古いversionになるしppaからubuntu18.10対応のものを探すのも面倒なので、いっそソースコードからビルドすることにした。

今回は26.1をビルド&インストールする。

How to

  1. Prepare source

    GNU Emacs download - GNU Projectから26.1のターボールをダウンロードする。
    例えばhttp://mirrors.syringanetworks.net/gnu/emacs/emacs-26.1.tar.xzとか。

  2. Install build dependencies

     sudo apt install -y build-essential libx11-dev libxaw7-dev libpng-dev libgif-dev libtinfo-dev
    
  3. Build

    基本INSTALLファイルに手順が書いてあるので、それ通りにやれば良い

     tar xf emacs-26.1.tar.xz
     sudo mv emacs-26.1 /usr/local/src/
     cd /usr/local/src/emacs-26.1
     ./configure  # 足りないものがあれば都度apt install
     make
    
  4. Confirm

     ./src/emacs -Q
    

    f:id:maya2250:20190213082121p:plain

  5. Install

     sudo make install
    

    f:id:maya2250:20190213081238p:plain

    complete!

  6. clean

     make clean
    

TODO: フォントがおかしいので後々設定

references